%bcond_without opengl

Summary:	MathML-based graph calculator
Name:		kalgebra
Version:	4.13.3
Release:	1
License:	GPLv2+ and LGPLv2+ and GFDL
Group:		Graphical desktop/KDE
Url:		http://userbase.kde.org/KAlgebra
Source:		ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	kdelibs4-devel
BuildRequires:	libkdeedu-devel >= %{version}
BuildRequires:	readline-devel
BuildRequires:	analitza-devel
%if %{with opengl}
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
%endif
# add SHOULD_BUILD_OPENGL option, to be able to disable support
# on arm because plotter3d assumes qreal=double all over the place
Patch0:		kalgebra-4.13.2-opengl_optional.patch

%description
KAlgebra is a mathematical calculator based content markup MathML
language. Nowadays it is capable to make simple MathML operations
(arithmetic and logical) and representate 2D and 3D graphs. It is
actually not necessary to know MathML to use KAlgebra.

%files
%doc COPYING COPYING.LIB COPYING.DOC
%doc %{_kde_docdir}/HTML/en/kalgebra
%{_kde_bindir}/kalgebra
%{_kde_bindir}/kalgebramobile
%{_kde_iconsdir}/*/*/apps/kalgebra.*
%{_kde_applicationsdir}/kalgebra.desktop
%{_kde_applicationsdir}/kalgebramobile.desktop
%{_kde_libdir}/kde4/plasma_applet_kalgebra.so
%{_kde_libdir}/kde4/imports/org/kde/analitza/
%{_kde_appsdir}/katepart/syntax/kalgebra.xml
%{_kde_appsdir}/kalgebramobile
%{_kde_appsdir}/plasma/plasmoids/org.kde.graphsplasmoid
%{_kde_services}/kalgebra*.desktop
%{_kde_services}/graphsplasmoid.desktop

#----------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1 -b .opengl_optional

%build
%cmake_kde4 \
%if %{with opengl}
	-DSHOULD_BUILD_OPENGL:BOOL=ON
%else
	-DSHOULD_BUILD_OPENGL:BOOL=OFF
%endif

%make

%install
%makeinstall_std -C build


%changelog
* Sun Jul 20 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.13.3-1
+ Revision: 2ec15d4
- LOG New version 4.13.3 (sync spec and patches with Cooker)


